Loading...
Searching...
No Matches
hwcontext_d3d12va.h File Reference

An API-specific header for AV_HWDEVICE_TYPE_D3D12VA. More...

`#include <stdint.h>`
`#include <initguid.h>`
`#include <d3d12.h>`
`#include <d3d12sdklayers.h>`
`#include <d3d12video.h>`

Go to the source code of this file.

## Data Structures

struct | AVD3D12VADeviceContext
| This struct is allocated as AVHWDeviceContext.hwctx. More...
struct | AVD3D12VASyncContext
| This struct is used to sync d3d12 execution. More...
struct | AVD3D12VAFrame
| D3D12VA frame descriptor for pool allocation. More...
struct | AVD3D12VAFramesContext
| This struct is allocated as AVHWFramesContext.hwctx. More...

## Detailed Description

An API-specific header for AV_HWDEVICE_TYPE_D3D12VA.

AVHWFramesContext.pool must contain AVBufferRefs whose data pointer points to an AVD3D12VAFrame struct.

Definition in file hwcontext_d3d12va.h.